@page
@model WebApp.Pages_Games.EditModel

@{
    ViewData["Title"] = "Edit";
}

<h1>Edit</h1>

<h4>Game</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form method="post">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <input type="hidden" asp-for="Game.GameId" />
            <div class="form-group">
                <label asp-for="Game.Description" class="control-label"></label>
                <input asp-for="Game.Description" class="form-control" />
                <span asp-validation-for="Game.Description" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Game.PlayerAId" class="control-label"></label>
                <select asp-for="Game.PlayerAId" class="form-control" asp-items="ViewBag.PlayerAId"></select>
                <span asp-validation-for="Game.PlayerAId" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Game.PlayerBId" class="control-label"></label>
                <select asp-for="Game.PlayerBId" class="form-control" asp-items="ViewBag.PlayerBId"></select>
                <span asp-validation-for="Game.PlayerBId" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Game.BoardWidth" class="control-label"></label>
                <input asp-for="Game.BoardWidth" class="form-control" />
                <span asp-validation-for="Game.BoardWidth" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Game.BoardHeight" class="control-label"></label>
                <input asp-for="Game.BoardHeight" class="form-control" />
                <span asp-validation-for="Game.BoardHeight" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Game.EBoatsCanTouch" class="control-label"></label>
                <select asp-for="Game.EBoatsCanTouch" class="form-control"></select>
                <span asp-validation-for="Game.EBoatsCanTouch" class="text-danger"></span>
            </div>
            <div class="form-group form-check">
                <label class="form-check-label">
                    <input class="form-check-input" asp-for="Game.CanSamePlayerMoveAfterHit" /> @Html.DisplayNameFor(model => model.Game.CanSamePlayerMoveAfterHit)
                </label>
            </div>
            <div class="form-group form-check">
                <label class="form-check-label">
                    <input class="form-check-input" asp-for="Game.IsPlayerATurn" /> @Html.DisplayNameFor(model => model.Game.IsPlayerATurn)
                </label>
            </div>
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-page="./Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
